using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Streaming;

namespace _1459475
{
    class Program
    {
        static void Main(string[] args)
        {
            List<string> filesToMerge = new List<string>();

            filesToMerge.Add(@"..\..\SampleDoc.pdf");
            filesToMerge.Add(@"..\..\SampleDoc.pdf");
            filesToMerge.Add(@"..\..\Lorem.pdf");

            using (var fileWriter = new PdfStreamWriter(System.IO.File.OpenWrite(@"..\..\result.pdf")))
            {
                fileWriter.Settings.DocumentInfo.Author = "Acme";
                foreach (var doc in filesToMerge)
                {
                    using (var fileToMerge = new PdfFileSource(System.IO.File.OpenRead(doc)))
                    {
                        foreach (var pageToMerge in fileToMerge.Pages)
                        {
                            fileWriter.WritePage(pageToMerge);
                        }
                    }
                }
            }
        }
    }
}
